Subject: Shell mode question
From: "Lawrence Piano" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, "Lawrence J Piano \(E-mail\)" <[email-masked]>
Date: Fri, 11 May 2001 12:17:36 +0100

I have a problem with using cygwin tcsh in shell mode with the NT version of
XEmacs 21.1.3.  I searched the FAQ and mailing archives, but can't seem to
find an answer.  I also tried putting *only* the lines below in my .emacs
file and removing my .tcshrc file to get rid of any interference.

The problem is the shell loads and runs fine - almost.  If I just press
enter, the prompt line gets written to the right, that is, there is no CRLF
to the next line.  if I do a command like 'ps', the first line gets written
on the current line, not the next line.

This happens on NTEmacs as well, which makes me think I need to set some
lisp variable or there's maybe an incompatibility between cygwin tcsh and
emacs.

My .emacs file has the lines:

(if (eq my-unix-tools 'cygwin)
    (progn
      ;; General shell settings
      (setq explicit-shell-file-name (concat my-unix-bin "/tcsh.exe"))
      ;; Subprocesses invoked via the shell
      (setq shell-file-name (concat my-unix-bin "/tcsh.exe"))
      (setq w32-quote-process-args t)   ; Emacs 20
      (setq shell-command-switch "-cf")
      ;; The rest comes straight out of the Cygwin FAQ.
      (setenv "PID" nil)
      (load "comint")
      (fset 'original-comint-exec-1 (symbol-function 'comint-exec-1))
      (defun comint-exec-1 (name buffer command switches)
	(let ((binary-process-input t)
	(binary-process-output nil))
	(original-comint-exec-1 name buffer command switches)))
      (defun my-comint-init ()
        (setq comint-process-echoes t))
      (add-hook 'comint-mode-hook 'my-comint-init)
      )
  )

I also tried:

      (setenv "SHELL" "tcsh.exe")
      (setq w32-quote-process-args t)   ; Emacs 20
      (setq shell-command-switch "-cf")

but got the same result.

Any ideas anyone?

Thanks,

Larry

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple